Pooling layers
--------------

.. automodule:: lasagne.layers.pool

.. currentmodule:: lasagne.layers

.. autoclass:: MaxPool1DLayer
    :members:

.. autoclass:: MaxPool2DLayer
    :members:

.. autoclass:: MaxPool3DLayer
    :members:

.. autoclass:: Pool1DLayer
    :members:

.. autoclass:: Pool2DLayer
    :members:

.. autoclass:: Pool3DLayer
    :members:

.. autoclass:: Upscale1DLayer
    :members:

.. autoclass:: Upscale2DLayer
    :members:

.. autoclass:: Upscale3DLayer
    :members:

.. autoclass:: GlobalPoolLayer
    :members:

.. autoclass:: FeaturePoolLayer
    :members:

.. autoclass:: FeatureWTALayer
    :members:

.. autoclass:: SpatialPyramidPoolingLayer
    :members:
